Показать сообщение отдельно
Непрочитано 27.12.2018, 15:37 #1
Скрипт для построения полилинии по координатам в nanocad 10.0
teodolit
 
Регистрация: 27.12.2018
Сообщений: 1

при помощью скрипта по координатам рисуются только точки (AddPoint), как изменить скрипт что бы по координатам строился полигон, не обязательно что бы это была полилиния
изменения в последней строке AddPoint на AddLine или AddLightWeightPolyline не к чему хороше не приводит

вот собственно сам скрипт
Код:
[Выделить все]
 var filename = ThisDrawing.Utility.ChooseFile("Select coordinate file", "Text Files (*.txt)|*.txt|All files (*.*)|*.*||");
var fso = new ActiveXObject("Scripting.FileSystemObject");
//var ts = fso.OpenTextFile("c:\\coords.txt", 1);
var ts = fso.OpenTextFile(filename, 1);

var done = false;
var re = /\s*,\s*/ // regular expression - splits by "," & remove unneeded spaces
var coords = new Array();
while (!done && !ts.AtEndOfStream)
{
  var s = ts.ReadLine();
  var sCoords = s.split(re);
  if (sCoords.length < 2)
  {
            done = true;
  } else
  {
            coords[0] = Number(sCoords[0]); // x coordinate
            coords[1] = Number(sCoords[1]); // y coordinate
            if (sCoords.length > 2)
                  coords[2] = Number(sCoords[2]); // z coordinate if exist
            else
                  coords[2] = 0;                                  // z coordinate omited
            var pt_coords = ThisDrawing.Utility.CreateTypedArrayFromJSArray(5, coords);
ThisDrawing.ModelSpace.AddPoint(pt_coords);
  }
}

Последний раз редактировалось Кулик Алексей aka kpblc, 27.12.2018 в 16:51.
Просмотров: 2325
 
Размещение рекламы